import React, { CSSProperties } from "react";
import { TFormCustomProps } from "primeobjects-ui-web-application/build/cjs/components/forms/types";
export declare const MIN_RESULT_LENGTH_VALUE = 300;
export declare const STEP_RESULT_LENGTH_VALUE = 50;
export declare const MAX_RESULT_LENGTH_VALUE: number;
export declare const getMaxResultLengthRows: (props: TFormCustomProps & {
    fieldName: string;
    defaultValue?: number | undefined;
    value?: number | undefined;
    skipRecordUpdate?: boolean | undefined;
    resetValue?: number | undefined;
    tab?: "run" | "design" | undefined;
    onClickReset?: (() => void) | undefined;
    onChange?: ((newRecord: Record<string, any>, field?: Record<string, any>) => Record<string, any> | undefined) | undefined;
    labelColor?: string | undefined;
    labelClassName?: string | undefined;
    labelStyle?: React.CSSProperties | undefined;
    maxResultLength?: number | undefined;
    minResultLength?: number | undefined;
}) => {
    style: {
        paddingBottom: string;
    };
    fields: (false | {
        name: string;
        lineClassName: string | undefined;
        lineStyle: React.CSSProperties | undefined;
        line: string;
        colStyle: {
            maxWidth: number;
            minWidth: number;
            marginLeft?: undefined;
            paddingLeft?: undefined;
            width?: undefined;
            flex?: undefined;
        };
        labelSVGClassName: string;
        type: string;
        hideLabel?: undefined;
        stepValue?: undefined;
        defaultValue?: undefined;
        maxValue?: undefined;
        minValue?: undefined;
        value?: undefined;
        useFieldValue?: undefined;
        skipRecordUpdate?: undefined;
        onChange?: undefined;
        content?: undefined;
    } | {
        colStyle: {
            marginLeft: number;
            paddingLeft: number;
            width: number;
            maxWidth: number;
            flex: string;
            minWidth?: undefined;
        };
        name: string;
        hideLabel: boolean;
        stepValue: number;
        defaultValue: number;
        maxValue: number;
        minValue: number;
        type: string;
        value: any;
        useFieldValue: boolean;
        skipRecordUpdate: boolean | undefined;
        onChange: ((newRecord: Record<string, any>, field?: Record<string, any>) => Record<string, any> | undefined) | undefined;
        lineClassName?: undefined;
        lineStyle?: undefined;
        line?: undefined;
        labelSVGClassName?: undefined;
        content?: undefined;
    } | {
        colStyle: {
            marginLeft: number;
            paddingLeft: number;
            flex: string;
            maxWidth?: undefined;
            minWidth?: undefined;
            width?: undefined;
        };
        name: string;
        hideLabel: boolean;
        type: string;
        content: JSX.Element;
        lineClassName?: undefined;
        lineStyle?: undefined;
        line?: undefined;
        labelSVGClassName?: undefined;
        stepValue?: undefined;
        defaultValue?: undefined;
        maxValue?: undefined;
        minValue?: undefined;
        value?: undefined;
        useFieldValue?: undefined;
        skipRecordUpdate?: undefined;
        onChange?: undefined;
    } | undefined)[];
}[];
